Loading...
Searching...
No Matches
novas_track Struct Reference

The spherical and spectral tracking position of a source, and its first and second time derivatives. More...

`#include <novas.h>`

## Public Attributes

struct novas_observable | accel
| [deg/s2,AU/s2,1/s2] Apparent position acceleration.
struct novas_observable | pos
| [deg,AU,1] Apparent source position
struct novas_observable | rate
| [deg/s,AU/s,1/s] Apparent position rate of change
struct novas_timespec | time
| The astronomical time for which the track is calculated.

## Detailed Description

The spherical and spectral tracking position of a source, and its first and second time derivatives.

As such, it may be useful for telescope drive control (position, velocity, and acceleration), or else for fast extrapolation of momentary positions without a full, and costly, recalculation of the positions at high rate over a suitable short period.

Since
  1.3

Author
  Attila Kovacs

See also
  novas_hor_track(), novas_equ_track(), novas_track_pos(), NOVAS_TRACK_INIT

## Member Data Documentation

## accel

struct novas_observable novas_track::accel

[deg/s2,AU/s2,1/s2] Apparent position acceleration.

Referenced by novas_track_pos().

## pos

struct novas_observable novas_track::pos

[deg,AU,1] Apparent source position

Referenced by novas_track_pos().

## rate

struct novas_observable novas_track::rate

[deg/s,AU/s,1/s] Apparent position rate of change

Referenced by novas_track_pos().

## time

struct novas_timespec novas_track::time

The astronomical time for which the track is calculated.

Referenced by novas_track_pos().